Subject: Re: bug#77883: 31.0.50; C-c C-e in *scratch* generates a missing lexical binding cookie warning

From: Michael Heerdegen <[email-masked]>
Date: Fri, 18 Apr 2025 14:22:36 +0200

Eli Zaretskii <[email-masked]> writes:

> I mean, what's the logic behind ignoring the current value of
> lexical-binding, but heeding the cookie? let alone defaulting to
> dynamic binding if there's no cookie?  If the reason is backward
> compatibility, I think I'd like to see the details: where would
> changing this cause problems?
>
> And note that this aspect of the eval-buffer's behavior is not
> documented in the ELisp manual, which is also not a good thing.

Indeed.  This looks like an anachronism to me.  But I would have to
investigate how the current situation evolved.  Unless someone else
remembers...

Michael.